Requirements for Boombox

To install this Boombox WordPress theme you need to have a working version of WordPress. Please refer to WordPress documentation for further instructions.

Server recommendations:

  • PHP 5.4 or higher
  • MySQL 5.5 or higher
  • Apache mod_rewrite module must be enabled

Despite WordPress recommends PHP 7 version, we recommend to use 5.4 or higher, as not all plugins supporting PHP 7 at this moment.

Besides the recommended server requirements for WordPress, make sure your PHP memory for WordPress is set to 128MB. You can read more about changing the PHP memmory in WordPress codex.

Hosting recommendations:

Cheap or Shared hostings: Make sure that server will handle up to 2000 unique users per day. There is a risk of having difficulties with handling traffic spikes. We recommend in this case use less plugins as possible and optimize the site as possible.

Budget VPS: Make sure that server will handle up to 4000 unique users per day and as much ram as possible. There is a risk of having difficulties with handling traffic spikes. Having less plugins still recommended.

High Performance VPS: Make sure that server will handle up to 6000 unique users per day and more than 4GB of ram. With professional configuration your site will handle traffic spikes.

Dedicated server: Make sure that server will handle 6000+ unique users per day  with at least 8GB ram. With professional configuration your site will handle traffic spikes.

Boombox theme is tested on Mac and Windows and compatible with following browsers Browsers: IE9+, Firefox, Safari, Chrome, Opera

Boombox theme is multi-device ready and fully responsive.